      subroutine hec_cal
c
c initialises calibration package by calling for 
c calibration file to be read in
c
      implicit none
c
      include'hec_par.inc'
c
c calibration coefficients common
c must be preceded by the include file hec_par.inc
c
      include'hec_cal_coef.inc'
c
c common for datacard values
c
      include'hec_datacard.inc'
c
c reset calibration coefficients array
c
      call vzero(hec_cal_coef, 5*i_adc_dim)
c
c read calibration file if requested
c
      if (io_cal(1) .ge. 1) call hec_cal_read
c
      end
