      subroutine hec_tdc_epio
c
c unpack and save TDC data into common block for each event
c author:        17/11/97  Dieter Striegel                        
c modification:  08/04/98  M. L. 
c
      implicit none
c
      include 'hec_par.inc' 					! parameter common
      include 'hec_datacard.inc'                                ! datacard common
      include 'hec_epio.inc' 					! epio common
      include 'hec_geo.inc' 					! geometry common
      include 'hec_tdc.inc' 					! tdc common
c      
      character substr*19
      logical DEBUG
      parameter (substr=' *** HEC_TDC_EPIO: ', DEBUG=.FALSE.)
c     
      integer itdc
c
      itdc = ibits(ibankbuf(4), 0, 12)                  ! time in TDC units
c
      hec_tdc_raw = itdc*1.                             ! raw TDC value
      hec_tdc_ns  = itdc*1.*conv_tdc_time 		! TDC in nano seconds
c      
c     if (run_mode .eq. 1 .and. hec_tdc_ns .gt. tslice_shift) 
c    +    hec_tdc_ns = hec_tdc_ns - 25.
c      
      if (DEBUG) then
        write(*,*) substr,'raw TDC  = ', hec_tdc_raw
        write(*,*) substr,'TDC [ns] = ', hec_tdc_ns
        write(*,*)
      endif 							! if (DEBUG) then
c      
      return
      end
