      subroutine hec_online_ter
c
c output and delete system histograms
c
      implicit none
c
      include'hec_par.inc'
c
c common for datacard values
c
      include'hec_datacard.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c online common
c
      include'hec_online.inc'
c
c online histogram id common
c
      include'hec_online_his.inc'
c
      integer istat, icycle
c
c open hbook file for system histograms
c
      print *, '*** opening online hbook file on unit',io_his
      call hropen(io_his, 'hec_online', 
     +     'hec_online.hbook', 'n', 1024, istat)
      if (istat .ne. 0) then
         print *, '*** problem opening online hbook file ***',
     +        istat
         stop
      endif
c
c output and delete online histograms
c
      call hcdir('//hec_online', ' ')
c
      call hrout(0, icycle, ' ')
c
c close the system histograms hbook file
c
      call hrend('hec_online')
      call hdelet(0)
      close(io_his)
c
      end

