      subroutine hec_ped
c
c pedestals package
c
      implicit none
c
      include'hec_par.inc'
c
c user datacard values common
c
      include'hec_datacard.inc'
c
c pedestal common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped.inc'
c
c reset pedestal array over all events
c
      call vzero(adc_ped_run, i_adc_dim)
      call vzero(adc_rms_run, i_adc_dim)
c
c read pedestal file if requested
c
      if (io_ped(1) .eq. 1) call hec_ped_read
c
c make pedestals over all events if requested
c
      if (mk_ped .le. 1) return
c
c first pass over data set
c
      call hec_ped_pass1
c
c second pass over data set if required
c
      if (sc_ped .gt. 0.) call hec_ped_pass2
c
      print *, ' *** end of pedestal computation over all events'
c
c write pedestal file if requested
c
      if (io_ped(3) .eq. 1) call hec_ped_write
c
      end

 
              
            
          
