      logical function hec_s_0()
************************************************************************
*     signal searching routine kind: 0                                 *
*                                                                      *
*     routine applies no searching algorythm. It take any signal in    *
*     every channel and fills the output array with unchanged          *
*     adc data.                                                        *
*     This routine should be used to switch off searching              *
*                                                                      *
*     author:  02.11.97   Dieter Striegel                              *
************************************************************************
      implicit none
      
      include 'hec_par.inc' 				! parameter
      include 'hec_geo.inc' 				! geometry common
      include 'hec_adc.inc' 				! adc arrays
      include 'hec_search.inc' 				! search common

      logical DEBUG
      character substr*14
      parameter (substr=' *** hec_s_0: ', DEBUG=.FALSE.)
      integer i, j

      if (DEBUG) write(6,*) substr
      
      hec_s_0=.TRUE. 					! take everything
      
      do i=1, i_adc_used

        hec_s_chan(i)=.TRUE. 				! take every channel

        do j=1, i_tim_used
          hec_s_result(i,j)=i_adc_ic_t(i,j)*1.
        enddo 						! do j=1, i_tim_used

      enddo 						! do i=1, i_adc_used
c
      hec_s_hit = .true.
c      
      return
      end
      
