      subroutine hec_s_flagini
************************************************************************
*     initialize logical flags and variables for signal search package *
*                                                                      *
*     author:  03.11.97  Dieter Striegel                               *
************************************************************************
      implicit none

      include'hec_par.inc' 				! parameter common
      include'hec_datacard.inc' 			! datacard common
      include'hec_search.inc' 				! search common

      character substr*20
      logical DEBUG
      parameter (substr=' *** HEC_S_FLAGINI: ', DEBUG=.FALSE.)

      if (irunpd.lt.4) return 				! no FADC yet availabe yet

      hec_s_k     = hec_s_dk 					! preparing search package

      if (DEBUG) write(*,*) substr,'chosen algorythm: ', hec_s_k

      hec_s_start = hec_s_dstart
      hec_s_stop  = hec_s_dstop
      hec_s_tcomp = hec_s_dtcomp
      if (hec_s_dmc.eq.1) then
        hec_s_mc=.TRUE.
      else
        hec_s_mc=.FALSE.
      endif 						! if (hec_s_dmc.eq.1) then
      hec_s_lvl=hec_s_dlvl

      if (hec_s_k.eq.0) then
        continue                                ! no special preparation needed
      elseif (hec_s_k.eq.1) then
        if (hec_s_tcomp.eq.3) then
          hec_s_five=.FALSE.
          hec_s_seven=.FALSE.
        elseif (hec_s_tcomp.eq.5) then
          hec_s_five=.TRUE.
          hec_s_seven=.FALSE.
        elseif (hec_s_tcomp.eq.7) then
          hec_s_five=.TRUE.
          hec_s_seven=.TRUE.
        else
          write(*,*) substr,'detinated # of timeslices for the ',
     &               'searchiing routine not yet implemented !'
          STOP
        endif                                   ! if (hec_s_tcomp.eq.3) then
      elseif (hec_s_k.eq.2) then
        continue                                ! no special preparation needed
      else
        write(*,*) substr,'requested search algorythm not yet ',
     &             'implemented !'
        STOP
      endif                                     ! if (hec_s_k.eq.0) then
c
c check flags
c
      if (DEBUG) then
        write(*,*) substr,'logical flags:'
        write(*,*) substr,'FIVE  = ', hec_s_five
        write(*,*) substr,'SEVEN = ', hec_s_seven
      endif 					! if (DEBUG) then
c
      return
      end
