      subroutine hec_io_pass_ini
************************************************************************
*     initialize data io for pass                                      *
************************************************************************
      implicit none

      include 'hec_par.inc' 				! parameter common
      include 'hec_geo.inc' 				! geometery common
      include 'hec_datacard.inc' 			! datacard common
      include 'hec_search.inc' 				! search common
      
      character substr*22
      parameter (substr=' *** HEC_IO_PASS_INI: ')
c
c zebra
c
      if (in_typ(1) .eq. 1) then
        call fzfile(in_typ(2), 8100, 'XIF')
        call fzlogl(in_typ(2), 0)
      endif
c
c initialization of searching array once each pass
c
      if (run_mode .eq. 1) then
        if (hec_s_k.eq.0) then
          write(*,*) substr,'NO trigger selection for search.'
        elseif (hec_s_k.eq.1) then
          write(*,*) substr,'ONLY physics trigger for search.'
        elseif (hec_s_k.eq.2) then
          write(*,*) substr,'look into routine hec_s_2.f !'
        endif 					! if (hec_s_k.eq.0) then
        call hec_s_passini 			! init for each pass
      endif
c
      end
