      subroutine hec_beam
c
c beam reconstruction package
c Created 27-jun-1997  A.Minaenko
c
      implicit none
c
c user datacard values common
c
      include'hec_datacard.inc'
c
c common with the parameters of beam particle trajectory 
c
      include'hec_beam.inc'
c
      logical read_ok
c
c check: is beam reconstruction package required ?
c
      if (mk_beam .lt. 1) then
        if (run_mode .eq. 1) then
          print *,' '
          print *,' beam reconstruction package is not used'
          print *,' '
        endif
        return
      endif
c
c if beam reconstruction is called, need 
c to read run header before initialisation 
c
      call hec_runh_pass
c
c initialize some constants
c
      call hec_beam_ini
c
c try to read MWPC alignment constants
c
      call hec_beam_read(read_ok)
      if (read_ok) return
c
c pass over data set to compute the constants
c
      call hec_beam_pass
c
      end

 
              
            
          
